# wxPaintDC Class Reference
[Device Contexts]

`#include </home/work/projects/wx/2.9/wx/interface/wx/dcclient.h>`

Inheritance diagram for wxPaintDC:
[legend]

## Detailed Description

A wxPaintDC must be constructed if an application wishes to paint on the client area of a window from within an EVT_PAINT() event handler.

This should normally be constructed as a temporary stack object; don't store a wxPaintDC object. If you have an EVT_PAINT() handler, you must create a wxPaintDC object within it even if you don't actually use it.

Using wxPaintDC within your EVT_PAINT() handler is important because it automatically sets the clipping area to the damaged area of the window. Attempts to draw outside this area do not appear.

To draw on a window from outside your EVT_PAINT() handler, construct a wxClientDC object.

To draw on the whole window including decorations, construct a wxWindowDC object (Windows only).

A wxPaintDC object is initialized to use the same font and colours as the window it is associated with.

##

Library: wxCore
Category: Device Contexts

See also:
  wxDC, wxClientDC, wxMemoryDC, wxWindowDC, wxScreenDC

## Public Member Functions

| wxPaintDC (wxWindow *window)
| Constructor.

List of all members.

## Constructor & Destructor Documentation

wxPaintDC::wxPaintDC | ( | wxWindow * | window | ) |

Constructor.

Pass a pointer to the window on which you wish to paint.

|  | [ top ]